### Hierarchy

- LayoutNetwork
  - ForceDirectedNetwork

This class represents an abstract graph of ForceDirectedVertexes and ForceDirectedEdges that can be constructed based on the Nodes and Links of a Diagram so that the ForceDirectedLayout can operate independently of the diagram until it is time to commit any node positioning or link routing.

This class inherits from LayoutNetwork.

## Index

### Constructors

- constructor

## Inherited Members

### Properties

- LayoutNetwork.edges
- LayoutNetwork.layout
- LayoutNetwork.vertexes

### Methods

- LayoutNetwork.addEdge
- LayoutNetwork.addLink
- LayoutNetwork.addNode
- LayoutNetwork.addParts
- LayoutNetwork.addVertex
- LayoutNetwork.deleteArtificialVertexes
- LayoutNetwork.deleteEdge
- LayoutNetwork.deleteLink
- LayoutNetwork.deleteNode
- LayoutNetwork.deleteSelfEdges
- LayoutNetwork.deleteVertex
- LayoutNetwork.findAllParts
- LayoutNetwork.findEdge
- LayoutNetwork.findVertex
- LayoutNetwork.linkVertexes
- LayoutNetwork.reverseEdge
- LayoutNetwork.splitIntoSubNetworks

## Constructors

### constructor

- new ForceDirectedNetwork(layout: ForceDirectedLayout): ForceDirectedNetwork

- This constructs an empty network. It is commonplace to call addParts to build up the network to have the same structure as a Diagram's or Group's nodes and links.

  #### Parameters

  - ##### layout: ForceDirectedLayout

  #### Returns ForceDirectedNetwork

Copyright © 1998-2022 by Northwoods Software Corporation.